1.0
1.0
get /v1/launch-configurations/{launch_configuration_id}
Description
Launch Configuration을 상세 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | launch_configuration_id required | Launch Configuration ID Example : b5aea5a675fc4f6b9e0fcd1288354c5f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LaunchConfigurationDetailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations/{launch_configuration_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "publickey",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}